%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-CIDR-Lite

Summary: 	Merge IPv4 or IPv6 CIDR addresses
Name: 		perl-Net-CIDR-Lite
Version: 	0.20
Release: 	6.1
License: 	Artistic/GPL
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/Net-CIDR-Lite/


Source: 	http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/Net-CIDR-Lite-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
BuildRequires: 	perl

%description
Perl extension for merging IPv4 or IPv6 CIDR addresses.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Net
%dir %{perl_vendorlib}/Net/CIDR
%{perl_vendorlib}/Net/CIDR/Lite.pm
%{_mandir}/man3/Net::CIDR::Lite.3pm*

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net> - 0.20
- initial release

